/* 
Theme Name: Creaescola E Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Creaescola E Child es un tema fill de Hello Elementor creat per CreaEscola Marqueting i Comunicacio.
Author: Creaescola
Author URI: https://creaescola.com/
Template: hello-elementor
Version: 1.0.1
*/

/*=
General
-------------------------------------- */
body {
    --vermell: var(--e-global-color-primary);
    --negre: var(--e-global-color-secondary);
    --blanc: var(--e-global-color-text);
    --gris: var(--e-global-color-accent);
}
h2:after {content:"";display:block;height:2px;width:35px;background-color:var(--vermell);}
.titolcentrat h3:after {content:"";display:block;height:2px;width:35px;background-color:var(--vermell);margin:0 auto;}

/*=
Header & Footer
-------------------------------------- */
.home .cabecera:not(.elementor-sticky--effects) {background-color:transparent;}
.home .cabecera.elementor-sticky--effects {background-color:var(--negre);}
.home .bloctitle {display:none!important;}
.cabecera {background-color:var(--negre);}
.bloctitle:after {content:"";width:100%;height:105px;background: rgb(255,255,255);
background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(0,0,0,0.7455357142857143) 50%, rgba(0,0,0,1) 100%);display:block;position:absolute;top:0;z-index: 0;}
.bloctitle .elementor-container {z-index:1!important;}
.cabecera:not(.elementor-sticky--effects) .svg2,
.cabecera:not(.elementor-sticky--effects) .truca {display:none;}
.cabecera.elementor-sticky--effects .svg1 {display:none;width:0px!important;}
.cabecera.elementor-sticky--effects .truca {position: absolute!important;top:2px;left:50px;color:var(--blanc);font-size:22px;line-height:22px;font-weight: 400;font-family:Source Sans Pro;}
.cabecera.elementor-sticky--effects .truca a {color:var(--blanc);font-size:22px;line-height:22px;font-weight: 800;}
.cabecera.elementor-sticky--effects .truca a:hover {color:var(--vermell);}
#mega-menu-wrap-menu-1 .mega-menu-toggle.mega-menu-open + #mega-menu-menu-1 {border-radius:8px!important;width: 300px!important;left: 0px!important;-webkit-box-shadow: 0px 1px 1px  #cccccc!important; -moz-box-shadow: 0px 1px 1px  #cccccc!important; box-shadow: rgba(0, 0, 0, 0.0470588) 0px 3px 3px 0px!important;}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item {border-bottom: 1px solid var(--vermell);}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item:last-of-type {border-bottom: none;}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item a:hover {color:var(--vermell);}
.copyright, #copyrights {font-size:14px;line-height: 16px;font-weight: 400;color:var(--blanc);}

/*=
Inicio
-------------------------------------- */
.elementor-slide-heading {padding-top:150px!important;}
.elementor-slide-description {padding: 0 100px;}

/*=
Calculadora
-------------------------------------- */
#mc-submit {background-color: var(--blanc);border:2px solid var(--vermell);border-radius: 8px;color:var(--negre);padding: 5px 20px 24px 20px!important;font-weight:600!important;}
#mc-submit:hover {background-color: var(--vermell);color:var(--blanc);}
#mc-output a {display:none!important;}
.page-id-478 .prefooter .calc {display:none!important;}
.imprenta {font-size:15px!important;font-weight:700!important;}
/*=
Formularis
-------------------------------------- */
.elementor-field-option label {font-size:14px!important;line-height:16px!important;font-weight:400!important;}
::placeholder {color:var(--negre)!important;}

/*=
Responsive mobil
-------------------------------------- */
@media only screen and (max-width: 767px) {
	.home .cabecera:not(.elementor-sticky--effects) {background-color:var(--negre);}
	#mega-menu-wrap-menu-1 .mega-menu-toggle.mega-menu-open + #mega-menu-menu-1 {width: 300px!important;left: -200px!important;}
	.elementor-slide-heading {padding-top:0px!important;}
	.elementor-slide-description {padding: 0 0px!important;}
}

/*=
Enviaments a impresora
-------------------------------------- */
@media print {    
    .no-print, .no-print *, .cabecera, .elementor-page-title, .elementor-location-footer {display: none !important;}
}
